| base-3.0.2.0: Basic libraries | Source code | Contents | Index

Control.Concurrent.QSem

Portability | non-portable (concurrency)
Stability | experimental
Maintainer | libraries@haskell.org

Contents

Simple Quantity Semaphores

Description
Simple quantity semaphores.
Synopsis

data QSem
newQSem :: Int -> IO QSem
waitQSem :: QSem -> IO ()
signalQSem :: QSem -> IO ()

Simple Quantity Semaphores

data QSem | Source

A `QSem` is a simple quantity semaphore, in which the available "quantity" is always dealt with in units of one.
Instances

Typeable QSem

newQSem :: Int -> IO QSem | Source

Build a new `QSem`

waitQSem :: QSem -> IO () | Source

Wait for a unit to become available

signalQSem :: QSem -> IO () | Source

Signal that a unit of the `QSem` is available
Produced by Haddock version 0.9